"""static and login pages"""

from pyramid.httpexceptions import HTTPFound
from pyramid.view import (
    forbidden_view_config,
    notfound_view_config,
    view_config,
)


@forbidden_view_config()
@notfound_view_config()
@view_config(context="ordr3:resources.Root", permission="view")
def root(context, request):  # noqa: ARG001
    if request.user:
        return HTTPFound(request.resource_path(request.root, "orders"))
    return HTTPFound(request.resource_path(request.root, "login"))
